<div
  class='relative min-h-screen flex items-center justify-center bg-gray-50 py-12 px-4 sm:px-6 lg:px-8 bg-gray-100
  bg-no-repeat bg-cover relative items-center background-image'>
  <div class="absolute bg-black opacity-60 inset-0 z-0">
  </div>
  <div class='max-w-md w-full space-y-8 p-10 bg-white rounded-xl z-10'>
    <div class="text-center">
      <h2 class="mt-6 text-3xl font-bold text-gray-900">
        Iniciar sesión
      </h2>
    </div>

    <form #loginForm="ngForm" class='mt-8 space-y-6' action='#' method='POST' (ngSubmit)="loginForm.form.valid && login(loginForm)">

      <div class="relative">
        <label class="text-sm font-bold text-gray-700 tracking-wide">Nombre de usuario</label>
        <input
          id="username"
          name="username"
          required
          minlength="2"
          class=" w-full text-base py-2 border-b border-gray-300 focus:outline-none focus:border-indigo-500"
          [(ngModel)]="username"
          type="text"/>
      </div>

      <div class='mt-8 content-center'>
        <label class="text-sm font-bold text-gray-700 tracking-wide">
          Contraseña
        </label>
        <input
          id="password"
          name="password"
          required
          [(ngModel)]="password"
          class="w-full content-center text-base py-2 border-b border-gray-300 focus:outline-none focus:border-indigo-500"
          type="password"/>
      </div>

      <div class='flex items-center justify-between'>
        <div class='flex items-center'>
          <input id="remember_me" name="remember_me" type="checkbox"
                 class="h-4 w-4 bg-indigo-500 focus:ring-indigo-400 border-gray-300 rounded"/>
          <label for="remember_me" class="ml-2 block text-sm text-gray-900">
            Recordar contraseña
          </label>
        </div>
        <div class='text-sm'>
          <a href="#" class="font-medium text-gray-700 hover:text-red-900">
            ¿Olvidaste tu contraseña?
          </a>
        </div>
      </div>

      <div>
        <button type="submit" class="w-full flex justify-center bg-red-500 text-gray-100 p-4  rounded-full tracking-wide
                                font-semibold focus:outline-none focus:shadow-outline hover:bg-red-400 shadow-lg cursor-pointer transition ease-in duration-300">
          Iniciar sesión
        </button>
      </div>

      <p class="flex flex-col items-center justify-center mt-10 text-center text-md text-gray-500">
        <span>¿No tienes cuenta?</span>
        <a routerLink="/sign-up"
           class="font-medium text-gray-700 hover:text-red-900">
          Registrarse</a>
      </p>
    </form>

  </div>
</div>
